## librep 0.17+svn20070119

=== Makefile ===
# Makedefs.in -- input for the common Makefile definitions
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makedefs.in,v 1.35 2003/09/04 05:57:43 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

version=0.17
libversion=13:0:4
SHELL=/bin/sh

top_srcdir=.
srcdir=.

prefix=/usr/local
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${exec_prefix}/lib
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com
aclocaldir=/usr/share/aclocal
emacssitelispdir=${datadir}/emacs/site-lisp

host_type=i686-pc-linux-gnu
repdir=${datadir}/rep
replispdir=${repdir}/${version}/lisp
repexecdir=${libexecdir}/rep/${version}/${host_type}
repcommonexecdir=${libexecdir}/rep/${host_type}
repdocfile=${repexecdir}/doc-strings

CC=gcc
LIBTOOL=$(SHELL) $(top_builddir)/libtool
MAKEDEP=$(CC) -MM
CPPFLAGS=-DHAVE_CONFIG_H -I. -I$(top_srcdir)/src -I.. 
CFLAGS=-g -O2 -Wall -Wpointer-arith -Wmissing-prototypes
LDFLAGS=
LIBS=-ldl  -lcrypt
LIBOBJS=
EXTRA_LIBOBJS=
READLINE_LIBS=-lreadline  -lncurses
GMP_LIBS=-lgmp -lm
GDBM_LIBS=-lgdbm
FFI_LIBS=
ALLOCA=

DESTDIR=
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT=${INSTALL}

MAKEINFO = makeinfo
MAKEINFOFLAGS =
TEXI2DVI = texi2dvi
TEXI2PDF = texi2pdf
DVIPS = dvips

HAVE_X11=
HAVE_UNIX=1

.PHONY: clean realclean install

rep_prog = $(top_builddir)/src/rep
COMPILE_ENV = REPLISPDIR=$(top_builddir)/lisp \
	      REP_DL_LOAD_PATH=$(top_builddir)/src/.libexec \
	      REPDOCFILE=$(top_builddir)/doc-strings

include $(top_srcdir)/rules.mk
rep_LIBTOOL=$(SHELL) $(top_builddir)/libtool

# Rule for ``normal'' C objects
%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

# Rule for ``normal'' executables
% : %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

# Rule for libtool controlled C objects
%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

# Rule for dlopen'able C objects
%.la : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<
	$(rep_DL_LD) $(CPPFLAGS) $(CFLAGS) -o $@ $*.lo

# Build dependancy files from C source files.
.%.d : %.c
	$(SHELL) -ec '$(MAKEDEP) $(CPPFLAGS) $< \
	| sed '\''s/$*\.o/& $*.lo .$*\.d/g'\'' > $@'
# Makefile.in for Jade version 4
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makefile.in,v 1.33 2003/09/04 05:57:43 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

ETAGS:= etags

top_builddir=.


ALL_SUBDIRS = intl src lisp man
INSTALL_SUBDIRS = src lisp man

all : build.h rules.mk doc-strings
	for dir in $(ALL_SUBDIRS); do \
	  [ -d $$dir ] && ( cd $$dir && $(MAKE) $@ ) || exit 1; \
	done

build.h : build-info config.status
	$(SHELL) $< $(host_type) $(version) \
	  '$(repdir)' '$(replispdir)' '$(repexecdir)' \
	  '$(repdocfile)' '$(repcommonexecdir)' >$@

rules.mk : rules.mk.sh config.status
	$(SHELL) $< '$(repdir)' '$(repcommonexecdir)' '$(repdocfile)' >$@

check :
	for dir in $(ALL_SUBDIRS); do \
	  [ -d $$dir ] && ( cd $$dir && $(MAKE) $@ ) || exit 1; \
	done

install : all installdirs
	for dir in $(INSTALL_SUBDIRS); do \
	  ( cd $$dir && $(MAKE) $@ ) || exit 1; \
	done
	$(INSTALL_DATA) doc-strings $(DESTDIR)$(repexecdir)
	$(INSTALL_SCRIPT) emulate-gnu-tar $(DESTDIR)$(repexecdir)
	$(INSTALL_SCRIPT) libtool $(DESTDIR)$(repcommonexecdir)
	$(INSTALL_DATA) rules.mk $(DESTDIR)$(repcommonexecdir)
	$(INSTALL_SCRIPT) install-aliases $(DESTDIR)$(repcommonexecdir)
	$(INSTALL_DATA) rep-debugger.el $(DESTDIR)$(emacssitelispdir)

	@echo "---------------------------------------------------------"
	@echo "Trying to install rep.m4 in $(DESTDIR)$(aclocaldir);"
	@echo "if this fails, install it manually in a suitable location"
	@echo "---------------------------------------------------------"
	-$(INSTALL_DATA) $(top_srcdir)/rep.m4 $(DESTDIR)$(aclocaldir)

installdirs : mkinstalldirs
	$(SHELL) $< $(DESTDIR)$(repdir)/$(version) \
	  $(DESTDIR)$(bindir) $(DESTDIR)$(aclocaldir) \
	  $(DESTDIR)$(repcommonexecdir) $(DESTDIR)$(repexecdir) \
	  $(DESTDIR)$(emacssitelispdir)

uninstall :
	-for dir in $(INSTALL_SUBDIRS); do \
	  ( cd $$dir && $(MAKE) $@ ) || exit 1; \
	done
	rm -rf $(DESTDIR)$(repdir)/$(version)
	rm -rf $(DESTDIR)$(repexecdir)
	rm -f $(DESTDIR)$(repcommonexecdir)/rules.mk
	rm -f $(DESTDIR)$(repcommonexecdir)/install-aliases
	rm -f $(DESTDIR)$(repcommonexecdir)/libtool
	rm -f $(DESTDIR)$(emacssitelispdir)/rep-debugger.el
	rm -f $(DESTDIR)$(aclocaldir)/rep.m4

doc-strings : src/repdoc
	src/repdoc doc-strings `find $(top_srcdir) -name '*.c' -print`

src/repdoc :
	( cd src && $(MAKE) repdoc )

NEWS : man/news.texi
	( cd man && $(MAKE) ../NEWS )

tar :
	tar -zcT FILES -f librep.tar.gz

clean :
	-for dir in $(ALL_SUBDIRS); do \
	  [ -d $$dir ] && ( cd $$dir && $(MAKE) $@ ) || exit 1; \
	done
	rm -f *~ NEWS doc-strings TAGS build.h

distclean :
	-for dir in $(ALL_SUBDIRS); do \
	  [ -d $$dir ] && ( cd $$dir && $(MAKE) $@ ) || exit 1; \
	done
	rm -f config.cache config.h config.log config.status Makefile libtool
	rm -f *~ NEWS doc-strings TAGS build.h rules.mk librep.spec

realclean : distclean

tags: TAGS
#
# Use separate and explicit expressions rather than "(def.*" to avoid
# grabbing:
# ./lisp/rep.jl:54:       (default-error-handler (car error-data) [...]
# ./lisp/define.jl:146:  (define-scan-internals body))
#
TAGS :
	-rm -f $@
	set -e;								      \
	c_files=`find $(top_srcdir) -name '*.[hc]' -print`;		      \
	rep_files=`find $(top_srcdir) -name '*.jl' -print`;		      \
	${ETAGS} --language=c $$c_files					      \
	  --language=none						      \
	   --regex='/[ \t]*DEFSTRING[ \t]*([ \t]*\([^ \t,]+\)/\1/'	      \
	   --regex='/[ \t]*DEFSYM[ \t]*([ \t]*\([^ \t,]+\)/Q\1/'	      \
	   --regex='/[ \t]*DEFSYM[ \t]*([ \t]*[^ \t,]+[ \t,]+"\([^"]+\)/\1/'  \
	   --regex='/[ \t]*DEFUN\(_INT\)?[ \t]*([ \t]*"\([^"]+\)/\2/'	      \
		$$c_files						      \
	  --language=lisp $$rep_files					      \
	  --language=none						      \
	   --regex='/[ \t]+([ \t]*defun[ \t]+(?[ \t]*\([^ \t)]+\)/\1/'	      \
	   --regex='/[ \t]+([ \t]*define[ \t]+(?[ \t]*\([^ \t)]+\)/\1/'	      \
	   --regex='/[ \t]+([ \t]*defmacro[ \t]+(?[ \t]*\([^ \t)]+\)/\1/'     \
	   --regex='/[ \t]+([ \t]*defsubst[ \t]+(?[ \t]*\([^ \t)]+\)/\1/'     \
	   --regex='/[ \t]+([ \t]*defconst[ \t]+(?[ \t]*\([^ \t)]+\)/\1/'     \
	   --regex='/[ \t]+([ \t]*defvar[ \t]+(?[ \t]*\([^ \t)]+\)/\1/'	      \
	   --regex="/[ \t]+([ \t]*define-file-handler[ \t]+'\([^ \t)]+\)/\1/" \
	   --regex="/[ \t]+([ \t]*define-datum-printer[ \t]+'\([^ \t)]+\)/\1/"\
		$$rep_files

.PHONY: install uninstall tar nobak clean realclean TAGS tags distclean

=== intl/Makefile ===
# Makefile for directory with message catalog handling in GNU NLS Utilities.
# Copyright (C) 1995, 1996, 1997 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

PACKAGE = librep
VERSION = 0.17

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
transform = s,x,x,
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = ${prefix}/share/gettext/intl
aliaspath = $(localedir):.
subdir = intl

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ${top_srcdir}/mkinstalldirs

l = l

AR = ar
CC = gcc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
RANLIB = ranlib

DEFS = -DLOCALEDIR=\"$(localedir)\" -DGNULOCALEDIR=\"$(gnulocaledir)\" \
-DLOCALE_ALIAS_PATH=\"$(aliaspath)\" -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -g -O2 -Wall -Wpointer-arith -Wmissing-prototypes
LDFLAGS = 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = $(COMHDRS) libgettext.h loadinfo.h
COMHDRS = gettext.h gettextP.h hash-string.h
SOURCES = $(COMSRCS) intl-compat.c cat-compat.c
COMSRCS = bindtextdom.c dcgettext.c dgettext.c gettext.c \
finddomain.c loadmsgcat.c localealias.c textdomain.c l10nflist.c \
explodename.c
OBJECTS = $(GETTOBJS) bindtextdom.$lo dcgettext.$lo dgettext.$lo gettext.$lo \
finddomain.$lo loadmsgcat.$lo localealias.$lo textdomain.$lo l10nflist.$lo \
explodename.$lo
CATOBJS = cat-compat.$lo ../po/cat-id-tbl.$lo
GETTOBJS = intl-compat.$lo
DISTFILES.common = ChangeLog Makefile.in linux-msg.sed po2tbl.sed.in \
xopen-msg.sed $(HEADERS) $(SOURCES)
DISTFILES.normal = VERSION
DISTFILES.gettext = libintl.glibc intlh.inst.in

.SUFFIXES:
.SUFFIXES: .c .o .lo
.c.o:
	$(COMPILE) $<
.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) $<

INCLUDES = -I.. -I. -I$(top_srcdir)/intl -I$(top_srcdir)/lib

all: all-no

all-yes: libintl.$la intlh.inst
all-no:

libintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $(OBJECTS) \
		   -version-info 1:0 -rpath $(libdir)

../po/cat-id-tbl.$lo: ../po/cat-id-tbl.c $(top_srcdir)/po/$(PACKAGE).pot
	cd ../po && $(MAKE) cat-id-tbl.$lo

check: all

# This installation goal is only used in GNU gettext.  Packages which
# only use the library should use install instead.

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the gettext() function in its C library or in a
# separate library or use the catgets interface.  A special case is
# where configure found a previously installed GNU gettext library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all
	if test "$(PACKAGE)" = "gettext" \
	   && test '$(GETTOBJS)' = '$(GETTOBJS)'; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(libdir) $(includedir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(libdir) $(includedir); \
	  fi; \
	  $(INSTALL_DATA) intlh.inst $(includedir)/libintl.h; \
	  $(INSTALL_DATA) libintl.a $(libdir)/libintl.a; \
	else \
	  : ; \
	fi
install-data: all
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) VERSION $(gettextsrcdir)/VERSION; \
	  dists="$(DISTFILES.common)"; \
	  for file in $$dists; do \
	    $(INSTALL_DATA) $(srcdir)/$$file $(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	dists="$(DISTFILES.common)"; \
	for file in $$dists; do \
	  rm -f $(gettextsrcdir)/$$file; \
	done

info dvi:

$(OBJECTS): ../config.h libgettext.h
bindtextdom.$lo finddomain.$lo loadmsgcat.$lo: gettextP.h gettext.h loadinfo.h
dcgettext.$lo: gettextP.h gettext.h hash-string.h loadinfo.h

tags: TAGS

TAGS: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && etags -o $$here/TAGS $(HEADERS) $(SOURCES)

id: ID

ID: $(HEADERS) $(SOURCES)
	here=`pwd`; cd $(srcdir) && mkid -f$$here/ID $(HEADERS) $(SOURCES)


mostlyclean:
	rm -f *.a *.o *.lo core core.*

clean: mostlyclean

distclean: clean
	rm -f Makefile ID TAGS po2msg.sed po2tbl.sed

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# GNU gettext needs not contain the file `VERSION' but contains some
# other files which should not be distributed in other packages.
distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: Makefile $(DISTFILES)
	if test "$(PACKAGE)" = gettext; then \
	  additional="$(DISTFILES.gettext)"; \
	else \
	  additional="$(DISTFILES.normal)"; \
	fi; \
	for file in $(DISTFILES.common) $$additional; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

dist-libc:
	tar zcvf intl-glibc.tar.gz $(COMSRCS) $(COMHDRS) libintl.h.glibc

Makefile: Makefile.in ../config.status
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# The dependency for intlh.inst is different in gettext and all other
# packages.  Because we cannot you GNU make features we have to solve
# the problem while rewriting Makefile.in.
#intlh.inst: intlh.inst.in ../config.status
#	cd .. \
#	&& CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= \
#	  $(SHELL) ./config.status
.PHONY: intlh.inst
intlh.inst:

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== lisp/Makefile ===
# Makedefs.in -- input for the common Makefile definitions
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makedefs.in,v 1.35 2003/09/04 05:57:43 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

version=0.17
libversion=13:0:4
SHELL=/bin/sh

top_srcdir=..
srcdir=.

prefix=/usr/local
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${exec_prefix}/lib
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com
aclocaldir=/usr/share/aclocal
emacssitelispdir=${datadir}/emacs/site-lisp

host_type=i686-pc-linux-gnu
repdir=${datadir}/rep
replispdir=${repdir}/${version}/lisp
repexecdir=${libexecdir}/rep/${version}/${host_type}
repcommonexecdir=${libexecdir}/rep/${host_type}
repdocfile=${repexecdir}/doc-strings

CC=gcc
LIBTOOL=$(SHELL) $(top_builddir)/libtool
MAKEDEP=$(CC) -MM
CPPFLAGS=-DHAVE_CONFIG_H -I. -I$(top_srcdir)/src -I.. 
CFLAGS=-g -O2 -Wall -Wpointer-arith -Wmissing-prototypes
LDFLAGS=
LIBS=-ldl  -lcrypt
LIBOBJS=
EXTRA_LIBOBJS=
READLINE_LIBS=-lreadline  -lncurses
GMP_LIBS=-lgmp -lm
GDBM_LIBS=-lgdbm
FFI_LIBS=
ALLOCA=

DESTDIR=
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT=${INSTALL}

MAKEINFO = makeinfo
MAKEINFOFLAGS =
TEXI2DVI = texi2dvi
TEXI2PDF = texi2pdf
DVIPS = dvips

HAVE_X11=
HAVE_UNIX=1

.PHONY: clean realclean install

rep_prog = $(top_builddir)/src/rep
COMPILE_ENV = REPLISPDIR=$(top_builddir)/lisp \
	      REP_DL_LOAD_PATH=$(top_builddir)/src/.libexec \
	      REPDOCFILE=$(top_builddir)/doc-strings

include $(top_srcdir)/rules.mk
rep_LIBTOOL=$(SHELL) $(top_builddir)/libtool

# Rule for ``normal'' C objects
%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

# Rule for ``normal'' executables
% : %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

# Rule for libtool controlled C objects
%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

# Rule for dlopen'able C objects
%.la : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<
	$(rep_DL_LD) $(CPPFLAGS) $(CFLAGS) -o $@ $*.lo

# Build dependancy files from C source files.
.%.d : %.c
	$(SHELL) -ec '$(MAKEDEP) $(CPPFLAGS) $< \
	| sed '\''s/$*\.o/& $*.lo .$*\.d/g'\'' > $@'
# Makefile.in for rep's Lisp files
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makefile.in,v 1.28 2002/06/22 23:12:26 jsh Exp $
#
# This file is part of rep.
#
# rep is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# rep is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with rep; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

top_builddir=..
VPATH=..

INSTALL_FILES = *.jl *.jlc

INSTALL_DIRS := . rep rep rep/lang rep/vm rep/vm/compiler rep/io \
	rep/io/file-handlers rep/io/file-handlers/remote rep/i18n \
	rep/data rep/www rep/util rep/mail rep/threads rep/system \
	rep/net rep/test rep/xml scheme unscheme

all : lisp

lisp : ../src/.libexec
	$(COMPILE_ENV) $(rep_prog) --batch --no-rc \
	  -l rep.vm.compiler -f compile-assembler
	$(COMPILE_ENV) $(rep_prog) --batch --no-rc \
	  -l rep.vm.compiler -f compile-compiler
	$(COMPILE_ENV) $(rep_prog) --batch --no-rc \
	  -l rep.vm.compiler -f compile-lisp-lib

../src/.libexec :
	( cd ../src && $(MAKE) .libexec )

check : all
	$(COMPILE_ENV) $(rep_prog) --batch --check

install : all installdirs
	for d in $(INSTALL_DIRS); do \
	  for f in  $(foreach x,$(INSTALL_FILES),$$d/$(x)); do \
	    $(INSTALL_DATA) $$f $(DESTDIR)$(replispdir)/$$d; \
	  done; \
	done
	$(SHELL) $(top_srcdir)/install-aliases -l . $(DESTDIR)$(replispdir)

installdirs : mkinstalldirs
	$(SHELL) $< $(foreach x,$(INSTALL_DIRS),$(DESTDIR)$(replispdir)/$(x))

uninstall :
	for d in $(INSTALL_DIRS); do \
	  for f in $(foreach x,$(INSTALL_FILES),$$d/$(x)); do \
	    rm -f $(DESTDIR)$(replispdir)/$$f; \
	  done; \
	done

clean :
	rm -f `find . \( -name '*.jlc' -o -name '*~' -o -name core \) -print`

distclean : clean
	rm -f Makefile

realclean : distclean

.PHONY : all lisp install uninstall clean realclean distclean

=== man/Makefile ===
# Makedefs.in -- input for the common Makefile definitions
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makedefs.in,v 1.35 2003/09/04 05:57:43 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

version=0.17
libversion=13:0:4
SHELL=/bin/sh

top_srcdir=..
srcdir=.

prefix=/usr/local
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${exec_prefix}/lib
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com
aclocaldir=/usr/share/aclocal
emacssitelispdir=${datadir}/emacs/site-lisp

host_type=i686-pc-linux-gnu
repdir=${datadir}/rep
replispdir=${repdir}/${version}/lisp
repexecdir=${libexecdir}/rep/${version}/${host_type}
repcommonexecdir=${libexecdir}/rep/${host_type}
repdocfile=${repexecdir}/doc-strings

CC=gcc
LIBTOOL=$(SHELL) $(top_builddir)/libtool
MAKEDEP=$(CC) -MM
CPPFLAGS=-DHAVE_CONFIG_H -I. -I$(top_srcdir)/src -I.. 
CFLAGS=-g -O2 -Wall -Wpointer-arith -Wmissing-prototypes
LDFLAGS=
LIBS=-ldl  -lcrypt
LIBOBJS=
EXTRA_LIBOBJS=
READLINE_LIBS=-lreadline  -lncurses
GMP_LIBS=-lgmp -lm
GDBM_LIBS=-lgdbm
FFI_LIBS=
ALLOCA=

DESTDIR=
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT=${INSTALL}

MAKEINFO = makeinfo
MAKEINFOFLAGS =
TEXI2DVI = texi2dvi
TEXI2PDF = texi2pdf
DVIPS = dvips

HAVE_X11=
HAVE_UNIX=1

.PHONY: clean realclean install

rep_prog = $(top_builddir)/src/rep
COMPILE_ENV = REPLISPDIR=$(top_builddir)/lisp \
	      REP_DL_LOAD_PATH=$(top_builddir)/src/.libexec \
	      REPDOCFILE=$(top_builddir)/doc-strings

include $(top_srcdir)/rules.mk
rep_LIBTOOL=$(SHELL) $(top_builddir)/libtool

# Rule for ``normal'' C objects
%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

# Rule for ``normal'' executables
% : %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

# Rule for libtool controlled C objects
%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

# Rule for dlopen'able C objects
%.la : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<
	$(rep_DL_LD) $(CPPFLAGS) $(CFLAGS) -o $@ $*.lo

# Build dependancy files from C source files.
.%.d : %.c
	$(SHELL) -ec '$(MAKEDEP) $(CPPFLAGS) $< \
	| sed '\''s/$*\.o/& $*.lo .$*\.d/g'\'' > $@'
# Makefile.in for Jade's Texinfo manual
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makefile.in,v 1.15 2002/04/14 20:01:38 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

top_srcdir=..
srcdir=.
VPATH=..

SRCS = librep.texi lang.texi repl.texi news.texi interface.texi

all : librep.info ../NEWS

../NEWS : news.texi
	$(MAKEINFO) $(MAKEINFOFLAGS) --no-headers $< -o ../NEWS

librep.info : $(SRCS)
	$(MAKEINFO) $(MAKEINFOFLAGS) -I $(srcdir) $< -o librep.info

librep.html : $(SRCS)
	$(MAKEINFO) $(MAKEINFOFLAGS) --html -I $(srcdir) $< -o librep.html

librep.dvi : $(SRCS)
	$(TEXI2DVI) -I $(srcdir) $<

librep.ps : librep.dvi
	$(DVIPS) -f <librep.dvi >librep.ps

librep.pdf : $(SRCS)
	$(TEXI2PDF) -I $(srcdir) $<

install : librep.info installdirs
	for f in librep.info*; do \
	  $(INSTALL_DATA) $$f $(DESTDIR)$(infodir); \
	done
	-install-info --info-dir=$(DESTDIR)$(infodir) librep.info

installdirs : mkinstalldirs
	$(SHELL) $< $(DESTDIR)$(infodir)

uninstall :
	rm -f $(DESTDIR)$(infodir)/librep.info*
	-install-info --remove --info-dir=$(DESTDIR)$(infodir) librep.info

clean :
	rm -f *~ librep.info* librep.?? librep.???

distclean : clean
	rm -f Makefile

realclean : distclean

check :

=== src/Makefile ===
# Makedefs.in -- input for the common Makefile definitions
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makedefs.in,v 1.35 2003/09/04 05:57:43 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

version=0.17
libversion=13:0:4
SHELL=/bin/sh

top_srcdir=..
srcdir=.

prefix=/usr/local
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${exec_prefix}/lib
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com
aclocaldir=/usr/share/aclocal
emacssitelispdir=${datadir}/emacs/site-lisp

host_type=i686-pc-linux-gnu
repdir=${datadir}/rep
replispdir=${repdir}/${version}/lisp
repexecdir=${libexecdir}/rep/${version}/${host_type}
repcommonexecdir=${libexecdir}/rep/${host_type}
repdocfile=${repexecdir}/doc-strings

CC=gcc
LIBTOOL=$(SHELL) $(top_builddir)/libtool
MAKEDEP=$(CC) -MM
CPPFLAGS=-DHAVE_CONFIG_H -I. -I$(top_srcdir)/src -I.. 
CFLAGS=-g -O2 -Wall -Wpointer-arith -Wmissing-prototypes
LDFLAGS=
LIBS=-ldl  -lcrypt
LIBOBJS=
EXTRA_LIBOBJS=
READLINE_LIBS=-lreadline  -lncurses
GMP_LIBS=-lgmp -lm
GDBM_LIBS=-lgdbm
FFI_LIBS=
ALLOCA=

DESTDIR=
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT=${INSTALL}

MAKEINFO = makeinfo
MAKEINFOFLAGS =
TEXI2DVI = texi2dvi
TEXI2PDF = texi2pdf
DVIPS = dvips

HAVE_X11=
HAVE_UNIX=1

.PHONY: clean realclean install

rep_prog = $(top_builddir)/src/rep
COMPILE_ENV = REPLISPDIR=$(top_builddir)/lisp \
	      REP_DL_LOAD_PATH=$(top_builddir)/src/.libexec \
	      REPDOCFILE=$(top_builddir)/doc-strings

include $(top_srcdir)/rules.mk
rep_LIBTOOL=$(SHELL) $(top_builddir)/libtool

# Rule for ``normal'' C objects
%.o : %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

# Rule for ``normal'' executables
% : %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

# Rule for libtool controlled C objects
%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

# Rule for dlopen'able C objects
%.la : %.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<
	$(rep_DL_LD) $(CPPFLAGS) $(CFLAGS) -o $@ $*.lo

# Build dependancy files from C source files.
.%.d : %.c
	$(SHELL) -ec '$(MAKEDEP) $(CPPFLAGS) $< \
	| sed '\''s/$*\.o/& $*.lo .$*\.d/g'\'' > $@'
# Makefile.in -- input for the src directory's Makefile
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makefile.in,v 1.79 2003/12/06 18:23:31 jsh Exp $
#
# This file is part of Jade.
#
# Jade is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Jade is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jade; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

top_builddir=..
VPATH=..

COMMON_SRCS =	continuations.c datums.c debug-buffer.c files.c find.c \
		fluids.c gh.c lisp.c lispcmds.c lispmach.c macros.c main.c \
		message.c misc.c numbers.c origin.c regexp.c regsub.c \
		streams.c structures.c symbols.c tuples.c values.c weak-refs.c
UNIX_SRCS =	unix_dl.c unix_files.c unix_main.c unix_processes.c

INSTALL_HDRS = rep.h rep_lisp.h rep_regexp.h rep_subrs.h rep_gh.h

SRCS = $(COMMON_SRCS) $(UNIX_SRCS)
OBJS = $(SRCS:.c=.lo)

SDBM_SRCS = sdbm.c sdbm_pair.c sdbm_hash.c
SDBM_OBJS = $(SDBM_SRCS:.c=.o)
SDBM_LOBJS = $(SDBM_SRCS:.c=.lo)

DL_SRCS = repsdbm.c timers.c gettext.c readline.c tables.c repgdbm.c \
	  record-profile.c safemach.c sockets.c md5.c ffi.c
DL_OBJS = sdbm.la timers.la gettext.la readline.la tables.la gdbm.la \
	  record-profile.la safe-interpreter.la sockets.la md5.la ffi.la
DL_DSTS = rep/io/db/sdbm.la rep/io/timers.la rep/i18n/gettext.la \
	  rep/io/readline.la rep/data/tables.la rep/io/db/gdbm.la \
	  rep/lang/record-profile.la rep/vm/safe-interpreter.la \
	  rep/io/sockets.la rep/util/md5.la rep/ffi.la
DL_DIRS = rep rep/io rep/io/db rep/i18n rep/data rep/lang rep/vm rep/util

REP_SRCS = rep.c
REP_OBJS = $(REP_SRCS:.c=.o)

INTL_OBJS_yes=../intl/*.lo
INTL_OBJS_no=
INTL_OBJS=$(INTL_OBJS_no)

all : librep.la $(DL_OBJS) check-dl rep rep-config rep-remote rep-xgettext .libexec

librep.la : $(OBJS) $(LIBOBJS) $(ALLOCA)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) \
	  -version-info $(libversion) -export-symbols $(srcdir)/librep.sym \
	  -o $@ $^ -rpath $(libdir) $(LIBS) $(GMP_LIBS)

rep : $(REP_OBJS) $(EXTRA_LIBOBJS) librep.la
	$(LIBTOOL) --mode=link $(CC) -export-dynamic $(CPPFLAGS) $(CFLAGS) -o $@ \
	  $(REP_OBJS) librep.la $(EXTRA_LIBOBJS) $(LIBS) $(GMP_LIBS)

srep : $(REP_OBJS) $(EXTRA_LIBOBJS) librep.la
	$(LIBTOOL) --mode=link $(CC) -static -export-dynamic $(CPPFLAGS) $(CFLAGS) -o $@ \
	  $(REP_OBJS) librep.la $(EXTRA_LIBOBJS) $(LIBS) $(GMP_LIBS)

rep-remote : rep-remote.c

rep-xgettext : rep-xgettext.jl rep .libexec
	$(COMPILE_ENV) $(rep_prog) --batch -l rep.vm.compiler \
	  -f compile-batch $< \
	&& mv $<c $@ && chmod +x $@

check-dl :
	@set -e; for f in $(DL_OBJS); do \
	  if grep "dlname=''" $$f >/dev/null; then \
	    echo; echo "** Error: $$f has no associated shared library;"; \
	    deps=`grep '^dependency_libs=' $$f \
	      | sed -e "s/.*='\(.*\)'.*/\1/" \
	      | sed -e "s/-l//g"`; \
	    echo "** You may be missing a shared library from: $$deps"; echo; \
	    exit 1; \
	  fi; \
	done

install : all installdirs
	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) librep.la $(DESTDIR)${libdir}
	$(LIBTOOL) -n --finish $(DESTDIR)${libdir}
	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) -m 755 rep $(DESTDIR)${bindir}
	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) -m 755 repdoc $(DESTDIR)${bindir}
	$(INSTALL_SCRIPT) -m 755 rep-config $(DESTDIR)${bindir}
	$(INSTALL_SCRIPT) -m 755 rep-xgettext $(DESTDIR)${bindir}
	$(INSTALL_PROGRAM) -m 755 rep-remote $(DESTDIR)${bindir}
	$(foreach x,$(DL_DSTS),\
	  $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) \
	  $(notdir $(x)) $(DESTDIR)$(repexecdir)/$(dir $(x));)
	printf "\nrep_open_globally=yes\n" \
	  >>$(DESTDIR)${repexecdir}/rep/i18n/gettext.la
	for i in $(INSTALL_HDRS); do \
	  $(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir); \
	done
	$(INSTALL_DATA) rep_config.h $(DESTDIR)$(repcommonexecdir)
	$(SHELL) $(top_srcdir)/install-aliases -c . $(DESTDIR)$(repexecdir)

installdirs : mkinstalldirs
	$(SHELL) $< $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) \
	  $(foreach x,$(DL_DIRS),$(DESTDIR)$(repexecdir)/$(x)) \
	  $(DESTDIR)$(includedir)

uninstall :
	$(LIBTOOL) rm $(DESTDIR)${libdir}/librep.la
	$(LIBTOOL) rm $(DESTDIR)${bindir}/rep
	$(LIBTOOL) rm $(DESTDIR)${bindir}/repdoc
	rm -f $(DESTDIR)${bindir}/rep-config
	rm -f $(DESTDIR)${bindir}/rep-xgettext
	rm -f $(DESTDIR)${bindir}/rep-remote
	for dl in $(DL_DSTS); do \
	  $(LIBTOOL) rm $(DESTDIR)${repexecdir}/$$dl; \
	done
	for i in $(INSTALL_HDRS); do \
	  rm $(DESTDIR)$(includedir)/$$i; \
	done

rep-config : rep-config.sh Makefile
	$(SHELL) $< "${prefix}" "${libdir}" "${version}" \
	  "${LDFLAGS} ${LIBS} ${GMP_LIBS}" "${repcommonexecdir}" \
	  "${repdir}/site-lisp" >$@
	chmod +x $@

repdoc : repdoc.o
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $^ $(GDBM_LIBS)

sdbm.la : $(SDBM_LOBJS) repsdbm.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^

gdbm.la : repgdbm.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^ $(GDBM_LIBS)

gettext.la : gettext.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^ $(INTL_OBJS)

readline.la : readline.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^ $(READLINE_LIBS)

safe-interpreter.la : safemach.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^

sockets.la : sockets.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^

md5.la : md5.lo rep-md5.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^

ffi.la : ffi.lo
	$(rep_DL_LD) $(LDFLAGS) -o $@ $^ $(FFI_LIBS)

.libexec : $(DL_OBJS)
	$(SHELL) $(srcdir)/fake-libexec

clean :
	rm -f *~ *.o *.lo *.la build.h
	rm -f repdoc core rep rep-remote srep

distclean : clean
	rm -f .*.d Makefile rep_config.h dump.out dumped.s rep-config
	rm -rf .libs .libexec

realclean : distclean

check :

-include $(SRCS:%.c=.%.d) $(DL_SRCS:%.c=.%.d) $(REP_SRCS:%.c=.%.d)

## librep 0.92.4

=== debian/changelog ===
librep (3:0.92.4-1nano) unstable; urgency=low

  * New upstream bugfix release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Sun, 24 Aug 2014 20:09:47 +0200

librep (3:0.92.3-1nano) unstable; urgency=low

  * New upstream bugfix release

 -- Christopher Roy Bratusek <nano@tuxfamily.org>  Sat, 12 Jan 2013 18:42:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_PREF = $(shell gcc -print-multiarch)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export DEB_CFLAGS_MAINT_APPEND = -O0 -Wall -g
else
	export DEB_CFLAGS_MAINT_APPEND = -O2 -Wall -g
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),m68k))
	export DEB_CFLAGS_MAINT_APPEND = -Wall -g -O0
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),alpha))
       ARCH_CONF = --with-stack-direction=-1
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),ia64))
       ARCH_CONF = --with-stack-direction=-1
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),mips))
       ARCH_CONF = --with-stack-direction=-1
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),mipsel))
       ARCH_CONF = --with-stack-direction=-1
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armhf))
       ARCH_CONF = --with-stack-direction=-1
endif

DEB_CONFIGURE_USER_FLAGS = --with-readline $(ARCH_CONF)

dev_extras = debian/tmp -name install-aliases -o -name rep_config.h -o -name *.a -o -name *.jl

rep_extras = debian/tmp/usr/lib/$(DEB_PREF)/rep debian/tmp/usr/share/rep -name *.jlc -o -name *.so

dh_install_auto = xargs dh_install --autodest

sm := $(shell grep '^Package: librep[0-9]' debian/control | sed -e 's@^Package: librep\([0-9][0-9]*\).*@\1@' )

%:
	dh $@ --with autotools-dev --with autoreconf

override_dh_auto_clean:
	-$(MAKE) gitclean

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(DEB_CONFIGURE_USER_FLAGS)

override_dh_auto_build:
	env LC_ALL=C dh_auto_build

override_dh_installdocs:
	dh_installdocs --link-doc=librep$(sm)

override_dh_installchangelogs:
	dh_installchangelogs -plibrep$(sm) NEWS

override_dh_auto_install:
	dh_auto_install
	dh_install
	find $(dev_extras) | $(dh_install_auto) -plibrep-dev
	find $(rep_extras) | $(dh_install_auto) -prep

override_dh_strip:
	dh_strip -a --dbg-package=librep-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/rep/

override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=2

## librep 0.92.5

=== debian/changelog ===
librep (0.92.5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with -Werror=implict-function-declaration
    (Closes: #1066440)
  * debian/control: Drop -dbg package in favor of -dbgsym packages

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Apr 2024 22:48:53 +0200

librep (0.92.5-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:08:21 +0200

librep (0.92.5-3) unstable; urgency=low

  * Add patch 0003-hppa-metag-stack-direction for FTBFS on hppa (Closes:
    #818693)

 -- Jose M Calhariz <jose@calhariz.com>  Sun, 20 Mar 2016 14:52:44 +0000

librep (0.92.5-2) unstable; urgency=low

  * Upload to unstable.
  * Vcs-Git: Move from git protocol to https.
  * Bump Standard-Versions to 3.9.7, no changes needed.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 19 Mar 2016 17:17:48 +0000

librep (0.92.5-1) experimental; urgency=low

  * New Maintainer, (Closes: #738097).
  * Acknowledge NMU work.
    * Thanks Tim Retout, Steve M. Robbins, Hector Oron and Gregor Herrmann
      for keeping librep inside Debian all this years.
  * New Upstream version:
    * Imported Upstream version 0.90.2
    * Imported Upstream version 0.90.3
    * Imported Upstream version 0.90.4
    * Imported Upstream version 0.90.5
    * Imported Upstream version 0.92.4
    * Imported Upstream version 0.92.5
  * Debian work:
    * Remove upstream debian directory
    * Patch armel_ftbfs was accepted upstream, removed.
    * wrap-and-sort the debian files, for better read ability of future
      changes.
    * Bump soname from 9 to 16.
    * Library transition, so uploadling into experimental.
    * New patch for:
      * FTBFS with GCC 5: multiple definition of `inline_Fcons'
        (Closes: #791367)
    * Update watch file, because the sources are on a new archive.
    * Canonicalize URLs of Vcs-*.
    * Switch to dpkg-source 3.0 (quilt) format.
    * Run dh-autoreconf to update config.{sub,guess} and
      {libtool,aclocal}.m4 (Closes: #744619).
    * Merge the packaging work of Christopher Roy Bratusek.
    * Bump Standards-Version to 3.9.6, no changes needed.
    * Update librep16.symbols.
    * Override dh_install instead of dh_auto_install.
    * Make it Multi-Arch: same.
    * Remove /usr/share/doc link, thank you Mattia Rizzolo for the patch.
    * Rewrite debian/copyright using copyright-format 1.0.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 09 Jan 2016 18:45:52 +0000

librep (0.90.2-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS on kfreebsd-amd64":
    apply patch from Steven Chamberlain:
    check for DEB_HOST_ARCH_CPU in debian/rules.
    (Closes: #709183)

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 May 2013 13:44:48 +0200

librep (0.90.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf support. Thanks Konstantinos Margaritis (Closes: #623388)
  * Emptying the dependency_libs field in .la files
  * Add lintian override for librep-dev: missing-dep-for-interpreter rep 

 -- Hector Oron <zumbi@debian.org>  Tue, 12 Jul 2011 11:17:30 +0100

librep (0.90.2-1.2) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 17 Mar 2011 22:27:59 -0500

librep (0.90.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Set CONFIG_SHELL and run ./configure using /bin/bash
    explicitly, so that the generated libtool will work with any /bin/sh.
    (Closes: #570719)

 -- Tim Retout <diocles@debian.org>  Thu, 14 Oct 2010 18:51:17 +0100

librep (0.90.2-1) unstable; urgency=low

  * New Upstream Release.
   - Improved ffi-binding
   - Added support for tar.xz and tar.lzma, improved regex for parsing tar
     output.
   - Save/load readline history in interactive mode.
   - Other misc improvements and bugfixes.
   - Update symbols file
   - Update build-depends
  * Remove libreadline5-dev build dependency (Closes: #553801).
  * Add ${misc:Depends} to control entries.
  * Adjust packages' dependencies per lintian's recomendations
  * Bump Standards-Version to 3.8.3. No extra changes.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Wed, 11 Nov 2009 18:55:35 -0800

librep (0.90.0-1) experimental; urgency=low

  * New Upstream Releases.
    - Updated build system.
    - UTF8 support.
    - Updated documentation.
    - Code cleanups.
  * Reintroduce the rep package, removed in 0.17-12 (Closes: #511016).
    As far as I could see, librep.so does not depend on having the rep
    binary installed. Any program emdbeding librep that DOES require the
    standalone interpreter must now depend explicitly on the rep package.
  * Add a -dbg package (Closes: #510933).
  * Remove use of brace expansion in debian/rules.
    This fixes building with dash as /bin/sh.
  * Minor typo: Copyright for packaging said it had the same terms as rep-gtk
  * Bump Standards-version to 3.8.2. No changes required.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 27 Jul 2009 10:24:30 -0700

librep (0.17.3-4) unstable; urgency=low

  * Add --with-stack-direction flag to mips and mipsel builds
    (Closes: #526962)

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sat, 25 Jul 2009 12:50:36 -0700

librep (0.17.3-3) unstable; urgency=low

  * Upload to unstable.
  * Fix stack direction in ia64 and alpha.
  * Clarify the description of each package.
  * Rewrite the copyright file.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Thu, 30 Apr 2009 19:47:11 -0700

librep (0.17.3-2) experimental; urgency=low

  * Avoid hardcoded arch name in librep-dev.files (Closes: #523758).
  * Build with --with-stack-direction=1 for ppc/ia64
  * Do not ship computed librep-dev.files

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sun, 12 Apr 2009 13:40:22 -0700



=== debian/control ===
Source: librep
Section: lisp
Priority: optional
Maintainer: Jose M Calhariz <jose@calhariz.com>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libffi-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses5-dev,
               libreadline-dev,
               libtool,
               pkg-config,
               texinfo (>= 4.11-2)
Homepage: http://sawfish.tuxfamily.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/librep.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/librep.git

Package: rep
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: rep-doc
Conflicts: librep9 (<= 0.17.3-3)
Replaces: librep9 (<= 0.17.3-3)
Description: lisp command interpreter
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.

Package: librep16
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: embedded lisp command interpreter library
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the shared library for applications that embed
 the rep interpreter. You should not need to install this package manually.

Package: librep-dev
Section: libdevel
Architecture: any
Depends: libgmp-dev,
         librep16 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rep-doc
Description: development libraries and headers for librep
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the files needed to embed the rep interpreter in an
 application.

Package: rep-doc
Section: doc
Architecture: all
Depends: info | info-browser,
         ${misc:Depends}
Conflicts: librep-doc
Replaces: librep-doc
Provides: librep-doc
Description: documentation for the lisp command interpreter
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the language documentation in info format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),m68k))
	export DEB_CFLAGS_MAINT_APPEND = -Wall -g -O0
endif

DEB_CONFIGURE_USER_FLAGS = --with-readline

dev_extras = debian/tmp -name install-aliases -o -name rep_config.h -o -name *.a -o -name *.jl

rep_extras = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/rep debian/tmp/usr/share/rep -name *.jlc -o -name *.so

dh_install_auto = xargs dh_install --autodest

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) gitclean

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_USER_FLAGS)

override_dh_auto_build:
	env LC_ALL=C dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	find $(dev_extras) | $(dh_install_auto) -plibrep-dev
	find $(rep_extras) | $(dh_install_auto) -prep

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/rep/

override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=2

## librep 0.92.6

=== debian/changelog ===
librep (3:0.92.6-1nano) unstable; urgency=low

  * New upstream bugfix release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 26 May 2016 11:57:04 +0200
